PrimTux

La distribution éducative pour débutants et initiés.

Vous n'êtes pas identifié(e).

Annonce

CONSULTER LES MENTIONS LÉGALES RGPD.

CARTE DES MEMBRES POUVANT AIDER ET DES ÉCOLES SOUS PRIMTUX
Merci de vous y inscrire en nous envoyant un email si vous souhaitez y apparaître.

  • Pour être automatiquement informé des réponses à vos messages sur le forum, n'oubliez pas de cliquer sur "Suivre cette discussion" en bas de page. Mieux, en vous abonnant au flux RSS du forum, vous pourrez suivre tout nouveau message sur l'ensemble du forum.
  • En allant dans votre Profil, ligne "Vie privée", vous pouvez également cocher "Suivre automatiquement les sujets auxquels on a répondu.", vous n'aurez plus à cliquer sur "Suivre cette discussion" lorsque vous postez un message.
  • Abonnez-vous à la newsletter sur le site principal pour être informé des nouveaux paquets, nouvelles versions, bugs...

#26 22-12-2019 12:15:24

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 3 228
Site Web

Re : PrimTux4 pour Raspberry Pi 4ème génération

Après vérification des paquets installés sur cette PrimTux, php7.3 et nginx sont bien installés.
Il te suffit d'installer une base de données.

Hors ligne

#27 23-12-2019 16:25:37

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 3 228
Site Web

Re : PrimTux4 pour Raspberry Pi 4ème génération

Un premier retour sur les logiciels complémentaires:
Geogebra peut être directement installé car ilse trouve dans les dépôts Raspbian:

sudo apt-get install geogebra

Pour les autres, ce sont toutes les applications utilisant le plugin Flash d'Adobe qui bloquent. Il existait l'alternative gnash et son greffon browser-plugin-gnash qui ne sont apparemment plus disponibles dans le dépôt Raspbian. Je n'ai pas trouvé d'infos sur les raisons de son abandon, ni s'il existe une alternative (le plugin Flash d'Adobe n'est pas disponible pour armhf). Comme Adobe arrête en 2020 le développement de ce plugin, ainsi que son support, c'est peut-être la raison de son abandon sur Raspbian Buster.

Les paquets logiciels-primtux-mini, maxi et super sont des méta-paquets qui incluent plusieurs applications dont celles nécessitant flash. C'est la raison du refus de leur installation pour dépendance manquante.

Sauf si l'on trouve une alternative à browser-plugin-gnash (le site du développeur est actuellement inaccessible pour tenter la récupération du paquet depuis son site), je n'ai pas de solution.

Pour lesméta-paquets, il faudrait que je refasse un paquet en éliminant les applications utilisant Flash. En attendant il est possible d'installer individuellement les différentes applications des méta-paquets.

En voici la liste:
logiciels-primtux-maxi  --> geogebra-classic, iqpuzzle, primaths-primtux, atlas-houot-primtux, pepit-primtux, matou-matheux-primtux, activites-jclic-primtux, exooos-aleccor-primtux, exercices-free-primtux, exercices-beaunis-primtux, instrumentpoche-primtux, gcompris-qt, kiwix-vikidia-serveur-primtux, scratch2

logiciels-primtux-mini  --> jclicpuzzle-primtux, tbisuite-primtux, activites-jclic-primtux, pepit-primtux, lacourseauxnombres-primtux, gcompris-qt

logiciels-primtux-super  --> iqpuzzle, jclicpuzzle-primtux, pepit-primtux, matou-matheux-primtux, activites-jclic-primtux, exooos-aleccor-primtux, exercices-free-primtux, exercices-beaunis-primtux, gcompris-qt, kiwix-vikidia-serveur-primtux, scratch2


Applications utilisant Flash:
appliplanet-primtux
instrumentpoche-primtux
matou-matheux-primtux
pepit-primtux
primaths-primtux

Hors ligne

#28 03-01-2020 14:44:46

Alain
Membre
Inscription : 20-07-2017
Messages : 243

Re : PrimTux4 pour Raspberry Pi 4ème génération

J'ai finalement désinstallé nginx et réinstallé apache2 avec php mariadb et phpmyadmin puis  j'ai ajouté mon  wordpress d'école avec  les dernières versions d'h5P
J'ai configuré un hotspot avec comitup
J'ai maintenant une "primtux box" du genre ent box avec une grande partie des applis en ligne disponibles dans primtux dont achats et histoires  plus d'autres comme celles de pragmatice mais accessibles sans internet et sans routeur grâce à la fonction hotspot du raspberry .

Je pourrais te montrer tout ça quand tu viendras à Lannion
Alain

Hors ligne

#29 03-01-2020 18:58:52

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 3 228
Site Web

Re : PrimTux4 pour Raspberry Pi 4ème génération

J'ai eu des problème de compatibilité entre Apache et CTparental dans les versions précédentes. Mais si tu n'utilises pas CTparental, ça ne devrait pas poser de problèmes.
Nginx est moins lourd qu'Apache. Ta solution ne fonctionnait pas avec Nginx ?

Hors ligne

#30 04-01-2020 13:26:50

Alain
Membre
Inscription : 20-07-2017
Messages : 243

Re : PrimTux4 pour Raspberry Pi 4ème génération

Je n'utilise pas le ct parental ( je compte utiliser le raspberry en étant hors ligne la plupart du temps même si il peut être mis en ligne à tout moment)
avec nginx cela fonctionnait en localhost sur le raspberry mais pas avec des adresses ip.
Comme je n'arrivai pas à identifier le pourquoi j'ai décidé de le désinstaller et j'ai tenté ce que j'avais fait avec la précedente version.
Et là cela fonctionne avec des adresses ip que cela soit en mode hotspot ou réseau local de la box ...
même sans ecran , et sans aucun cable ni clavier ni souris  j'ai un serveur qui fonctionne en local ou même sur internet si j'ouvre les ports de la box

Avec vnc je peux en prendre le controle avec tablette et clavier bluetooth ou  avec un pc

si je le connecte à un video projecteur ou à un ecran je n'ai pas de problème d'affichage et je n'ai pas besoin de configurer la resolution d'ecran  avec arandr


Testé sur pi 3B et 3B+ avec la même carte micro sd (il est temps que je fasse une sauvegarde )

est ce qu'avec l'outil faire une image de la carte memoire cela le fera ?
ou me conseille tu d'utiliser une carte ou une machine tierce et d'utiliser des commandes dd pour cloner la carte ?

Dernière modification par Alain (04-01-2020 13:47:02)

Hors ligne

#31 03-03-2020 20:25:28

Choub24
Membre
Inscription : 01-03-2020
Messages : 1

Re : PrimTux4 pour Raspberry Pi 4ème génération

Bonjour,
Je testerais l'image dans les prochains jours pour tester et faire un retour d'expérience sur le 4B.

Hors ligne

Pied de page des forums